<html>
<head>
<title>OgreHardwareVertexBuffer.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">OgreHardwareVertexBuffer.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreHardwareBuffer_8h_source.html">OgreHardwareBuffer.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreSharedPtr_8h_source.html">OgreSharedPtr.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreColourValue_8h_source.html">OgreColourValue.h</a>&quot;</code><br/>
</div>
<p><a href="OgreHardwareVertexBuffer_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareVertexBuffer.html">Ogre::HardwareVertexBuffer</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Specialisation of <a class="el" href="classOgre_1_1HardwareBuffer.html" title="Abstract class defining common features of hardware buffers.">HardwareBuffer</a> for a vertex buffer.  <a href="classOgre_1_1HardwareVertexBuffer.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">Ogre::HardwareVertexBufferSharedPtr</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Shared pointer implementation used to share index buffers.  <a href="classOgre_1_1HardwareVertexBufferSharedPtr.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This class declares the usage of a single vertex buffer as a component of a complete <a class="el" href="classOgre_1_1VertexDeclaration.html" title="This class declares the format of a set of vertex inputs, which can be issued to the rendering API th...">VertexDeclaration</a>.  <a href="classOgre_1_1VertexElement.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This class declares the format of a set of vertex inputs, which can be issued to the rendering API through a <a class="el" href="classOgre_1_1RenderOperation.html" title="&#39;New&#39; rendering operation using vertex buffers.">RenderOperation</a>.  <a href="classOgre_1_1VertexDeclaration.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexBufferBinding.html">Ogre::VertexBufferBinding</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Records the state of all the vertex buffer bindings required to provide a vertex declaration with the input data it needs for the vertex elements.  <a href="classOgre_1_1VertexBufferBinding.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>
<tr><td colspan="2"><h2><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RenderSystem.html#ga0a62b3f2ede8992ff365bb013a8bc00d">Ogre::VertexElementSemantic</a> { <br/>
&#160;&#160;<a class="el" href="group__RenderSystem.html#gga0a62b3f2ede8992ff365bb013a8bc00dad04d50e91c2ec5377e610b3f5b9b07f2">Ogre::VES_POSITION</a> =  1, 
<a class="el" href="group__RenderSystem.html#gga0a62b3f2ede8992ff365bb013a8bc00da63d3494547f373f5c4397a41b39cf6a0">Ogre::VES_BLEND_WEIGHTS</a> =  2, 
<a class="el" href="group__RenderSystem.html#gga0a62b3f2ede8992ff365bb013a8bc00dae54f94c9c9cf553d227c2aab2c499bbf">Ogre::VES_BLEND_INDICES</a> =  3, 
<a class="el" href="group__RenderSystem.html#gga0a62b3f2ede8992ff365bb013a8bc00da1dec7d36a64625348e23af26c9231227">Ogre::VES_NORMAL</a> =  4, 
<br/>
&#160;&#160;<a class="el" href="group__RenderSystem.html#gga0a62b3f2ede8992ff365bb013a8bc00daabddc327dc0835e75b7622ee81e7f527">Ogre::VES_DIFFUSE</a> =  5, 
<a class="el" href="group__RenderSystem.html#gga0a62b3f2ede8992ff365bb013a8bc00daac8754d6241197a32c19cd72ff1806cc">Ogre::VES_SPECULAR</a> =  6, 
<a class="el" href="group__RenderSystem.html#gga0a62b3f2ede8992ff365bb013a8bc00da17abb855311f3a67bc31414cad8d6212">Ogre::VES_TEXTURE_COORDINATES</a> =  7, 
<a class="el" href="group__RenderSystem.html#gga0a62b3f2ede8992ff365bb013a8bc00da2b06bd6ce4e2b9115ab122e35d86502f">Ogre::VES_BINORMAL</a> =  8, 
<br/>
&#160;&#160;<a class="el" href="group__RenderSystem.html#gga0a62b3f2ede8992ff365bb013a8bc00da57d43012049b3ec7b4240b207dd029f2">Ogre::VES_TANGENT</a> =  9, 
<a class="el" href="group__RenderSystem.html#gga0a62b3f2ede8992ff365bb013a8bc00da6f167783a26ed5d1c146fbeae995af0b">Ogre::VES_COUNT</a> =  9
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Vertex element semantics, used to identify the meaning of vertex buffer contents.  <a href="group__RenderSystem.html#ga0a62b3f2ede8992ff365bb013a8bc00d">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RenderSystem.html#ga027109503a988ba85f4c63b55082907f">Ogre::VertexElementType</a> { <br/>
&#160;&#160;<a class="el" href="group__RenderSystem.html#gga027109503a988ba85f4c63b55082907fa3fbd40586beffa36887f783d401c5b83">Ogre::VET_FLOAT1</a> =  0, 
<a class="el" href="group__RenderSystem.html#gga027109503a988ba85f4c63b55082907fa0993ccf616ec6e7bf60fff2ef1705ce6">Ogre::VET_FLOAT2</a> =  1, 
<a class="el" href="group__RenderSystem.html#gga027109503a988ba85f4c63b55082907fa9ccf920d2572b15896f75ccf30fb150c">Ogre::VET_FLOAT3</a> =  2, 
<a class="el" href="group__RenderSystem.html#gga027109503a988ba85f4c63b55082907fa7f1dd8dd0e61ef81a53f5b315d096325">Ogre::VET_FLOAT4</a> =  3, 
<br/>
&#160;&#160;<a class="el" href="group__RenderSystem.html#gga027109503a988ba85f4c63b55082907fa2da074f4cb5af787d6fe3d7efafbda5e">Ogre::VET_COLOUR</a> =  4, 
<a class="el" href="group__RenderSystem.html#gga027109503a988ba85f4c63b55082907fadcf2fcc87b2ffd15476b34c54110d4f1">Ogre::VET_SHORT1</a> =  5, 
<a class="el" href="group__RenderSystem.html#gga027109503a988ba85f4c63b55082907fa95b23f7c498fc51e9b5fdf22779394bf">Ogre::VET_SHORT2</a> =  6, 
<a class="el" href="group__RenderSystem.html#gga027109503a988ba85f4c63b55082907fa74cfbca962869d7b2bdbe3dd869f183c">Ogre::VET_SHORT3</a> =  7, 
<br/>
&#160;&#160;<a class="el" href="group__RenderSystem.html#gga027109503a988ba85f4c63b55082907fa0d7cffdff4ceb5440142ca43f0fedc29">Ogre::VET_SHORT4</a> =  8, 
<a class="el" href="group__RenderSystem.html#gga027109503a988ba85f4c63b55082907fa634a1cefe14124d3c9c2b11d782f947c">Ogre::VET_UBYTE4</a> =  9, 
<a class="el" href="group__RenderSystem.html#gga027109503a988ba85f4c63b55082907fa952a7cf30c1f555019dfbeb1ed2c8c41">Ogre::VET_COLOUR_ARGB</a> =  10, 
<a class="el" href="group__RenderSystem.html#gga027109503a988ba85f4c63b55082907fafe3711fdde45487fbac6e2f38b0b9f1b">Ogre::VET_COLOUR_ABGR</a> =  11
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Vertex element type, used to identify the base types of the vertex contents.  <a href="group__RenderSystem.html#ga027109503a988ba85f4c63b55082907f">More...</a><br/></td></tr>
</table>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
